Index: git/src/Makefile.am
===================================================================
--- git.orig/src/Makefile.am	2009-01-27 15:25:31.000000000 +0000
+++ git/src/Makefile.am	2009-01-27 15:39:54.000000000 +0000
@@ -168,11 +168,9 @@
 metacity_dialog_SOURCES= 	\
 	ui/metacity-dialog.c
 
-schema_bindings_SOURCES =       \
-        core/schema-bindings.c			\
-	metacity.schemas.in.in
+schema_bindings:
+	@CC_FOR_BUILD@ core/schema-bindings.c -I./include -I$(STAGING_LIBDIR_NATIVE)/glib-2.0/include -I$(STAGING_INCDIR_NATIVE)/glib-2.0 -I$(STAGING_INCDIR_NATIVE) -I../ @CFLAGS_FOR_BUILD@ @LDFLAGS_FOR_BUILD@ -L$(STAGING_LIBDIR_NATIVE) -lglib-2.0 -o schema_bindings
 
-schema_bindings_LDADD = @METACITY_LIBS@
 metacity.schemas.in: schema_bindings ${srcdir}/metacity.schemas.in.in
 	@echo Generating keybinding schemas... ${srcdir}/metacity.schemas.in.in
 	${builddir}/schema_bindings ${srcdir}/metacity.schemas.in.in ${builddir}/metacity.schemas.in
--- /tmp/configure.in	2010-04-01 20:52:17.000000000 +0200
+++ metacity-2.30.0/configure.in	2010-04-01 20:53:14.000000000 +0200
@@ -31,6 +31,32 @@
 AC_LIBTOOL_WIN32_DLL
 AM_PROG_LIBTOOL
 
+if test x"$CC_FOR_BUILD" = x; then
+	if test x"$cross_compiling" = xyes; then
+	       AC_CHECK_PROGS(CC_FOR_BUILD, gcc cc)
+	else
+	       CC_FOR_BUILD="$CC"
+	fi
+fi
+AC_SUBST([CC_FOR_BUILD])
+if test x"$CFLAGS_FOR_BUILD" = x; then
+	if test x"$cross_compiling" = xyes; then
+	       echo boo!
+	else
+	       CFLAGS_FOR_BUILD="$CFLAGS"
+	fi
+fi
+AC_SUBST([CFLAGS_FOR_BUILD])
+if test x"$LDFLAGS_FOR_BUILD" = x; then
+	if test x"$cross_compiling" = xyes; then
+	       echo boo!
+	else
+	       LDFLAGS_FOR_BUILD="$LDFLAGS"
+	fi
+fi
+AC_SUBST([LDFLAGS_FOR_BUILD])
+
+
 #### Integer sizes 
 
 AC_CHECK_SIZEOF(char)
